Replace an existing secret
curl --request PUT \
--url https://api-sandbox.synctera.com/v0/webhook_secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_rolling_secret": true
}
'import requests
url = "https://api-sandbox.synctera.com/v0/webhook_secrets"
payload = { "is_rolling_secret": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_rolling_secret: true})
};
fetch('https://api-sandbox.synctera.com/v0/webhook_secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted_at": "2023-11-07T05:31:56Z",
"secret": "<string>"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Webhooks
Replace an existing secret
Replace an existing webhook secret immediately or as part of rotation. This new secret will be used to verify all subsequent webhook request signature.
PUT
/
webhook_secrets
Replace an existing secret
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Set true to let the current secret expire in the next 24 hours. Set false to let the current secret expire immediately.
Was this page helpful?
⌘I

